#include "pch.h"
#include "Solution.h"
#include "locale.h"


CSolution::CSolution()
{
	m_pOutput = NULL;
	m_nCPUtime = 0;
	m_timeCurrent = 0;
	m_millitmCurrent = 0;
}

CSolution::~CSolution()
{
}

void CSolution::MarkTimeStart(void)
{
	struct timeb timebuffer;
	ftime( &timebuffer );
	m_timeCurrent = timebuffer.time;
	m_millitmCurrent = timebuffer.millitm;
}

void CSolution::MarkTimeEnd(void)
{
	struct timeb timebuffer;
	ftime( &timebuffer );
	m_nCPUtime = ((unsigned long)(timebuffer.time-m_timeCurrent))*1000+timebuffer.millitm-m_millitmCurrent;
}

void CSolution::Clear(void)
{
	if( m_pOutput )	m_pOutput->Clear();	// o͂NA
}

void CSolution::Printf(const char* format, ...)
{
	if( m_pOutput )	m_pOutput->Printf(format);
}

void CSolution::Execute()
{
	Clear();	// o͂NA

	Printf( "eXg\n" );

	MarkTimeStart();	// JnL^

	int k,sum=0;
	for( k=0 ; k<10 ; k++ ){
		Printf( "k=%d\n", k );
		sum += k;
	}
	Printf( "sum=%d\n", sum );

	MarkTimeEnd();	// IL^AoߎԂZo
}
