﻿
// ProjectProgrammingDlg.h : ヘッダー ファイル
//

#pragma once
#include "Output.h"
#include "Solution.h"

#define WM_EXECUTION_DONE	(WM_USER+2)

// CProjectProgrammingDlg ダイアログ
class CProjectProgrammingDlg : public CDialogEx
{
// コンストラクション
public:
	CProjectProgrammingDlg(CWnd* pParent = nullptr);	// 標準コンストラクター

// ダイアログ データ
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_PROJECTPROGRAMMING_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV サポート


// 実装
protected:
	HICON m_hIcon;
	CFont m_fontOutput;

	time_t m_timeCurrent;
	unsigned short m_millitmCurrent;
	CWinThread *m_pExecutingThread;

	// 生成された、メッセージ割り当て関数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CString m_strFilename;
	CEdit m_editOutput;
	COutput m_objOutput;
	CSolution m_objSolution;
	void Execute(void);
	afx_msg void OnBnClickedButtonChooseFile();
	afx_msg void OnBnClickedButtonExec();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg LRESULT OnExecutionDone(WPARAM wParam, LPARAM lParam);
	CString m_strCPUTime;
	CString m_strStatus;
};
